<?xml version="1.0" standalone="yes"?>

<%
-- CyberData Intercom Configuration File Template
local values = ...

xml = require("LuaXml")

local init_cfg = xml.load("/var/www/provisioning/htdocs/CyberData/init.cfg")

-- <IPSettings>

-- <SIPSettings>

for pg, pg_t in pairs(values) do
	-- Is it of the form regX ?
	local num = string.match(pg, 'reg(%d+)')
	if num then
		if pg_t.extension ~= "" then
			init_cfg[2]:append("SIPServer")[1] = values.device.registrar
			init_cfg[2]:append("SIPUserID")[1] = pg_t.extension
			init_cfg[2]:append("SIPAuthID")[1] = pg_t.extension
			init_cfg[2]:append("SIPAuthPassword")[1] = pg_t.password
			init_cfg[2]:append("DialoutExtension0")[1] = pg_t.hotlinedestination
			init_cfg[2]:append("DialoutID0")[1] = pg_t.callerid
		end
	end
end


-- <ClockSettings>

init_cfg[3]:append("NTPServer")[1] = values.device.sntpserver
init_cfg[3]:append("NTPTimezone")[1] = values.device.timezone

-- init_cfg:save("TEST-cyberdata.xml")

print(init_cfg)
%>
